"
" write_mkpath: Create any missing path elements in the path to a buffer's
" filename before the buffer is written.
"
" Author: Tom Ryder <tom@sanctum.geek.nz>
" License: Same as Vim itself
"  
if exists('loaded_write_mkpath') || &compatible || v:version < 700
  finish
endif

" Check path to every file before it's saved
augroup write_mkpath
  autocmd!
  autocmd BufNewFile *
        \ call write_mkpath#New(expand('<afile>'))
  autocmd BufWritePre *
        \ call write_mkpath#Write(expand('<afile>'))
augroup END
